gtk compile error: pango >=1.8.0 - Redhat

This is a discussion on gtk compile error: pango >=1.8.0 - Redhat ; Fc3 system with glib-2.6.4 installed I just installed the glib which seems to have taken care of some previous compile errors. It seems to me that I should now have all the glib features to compile gtk+-2.6.10 I searched and ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: gtk compile error: pango >=1.8.0

  1. gtk compile error: pango >=1.8.0

    Fc3 system with glib-2.6.4 installed

    I just installed the glib which seems to have taken care of some
    previous compile errors. It seems to me that I should now have all the
    glib features to compile gtk+-2.6.10

    I searched and found I have these locations of pkgconfig
    /usr/local/lib/pkgconfig
    /usr/lib/pkgconfig
    This location for pango.pc
    /usr/lib/pkgconfig/pango.pc
    This location for pango
    /etc/pango

    I've tired setting PKG_CONFIG_PATH several times. Here's the last
    setting I tired:
    PKG_CONFIG_PATH=/usr/lib/pkgconfig:/usr/local/lib/pkgconfig:/usr/lib/pkgconfig/pango.pc

    Suggestions?

  2. Re: gtk compile error: pango >=1.8.0

    craig writes:

    > Fc3 system with glib-2.6.4 installed
    >
    > I just installed the glib which seems to have taken care of some
    > previous compile errors. It seems to me that I should now have all
    > the glib features to compile gtk+-2.6.10
    >
    > I searched and found I have these locations of pkgconfig
    > /usr/local/lib/pkgconfig
    > /usr/lib/pkgconfig
    > This location for pango.pc
    > /usr/lib/pkgconfig/pango.pc
    > This location for pango
    > /etc/pango
    >
    > I've tired setting PKG_CONFIG_PATH several times. Here's the last
    > setting I tired:
    > PKG_CONFIG_PATH=/usr/lib/pkgconfig:/usr/local/lib/pkgconfig:/usr/lib/pkgconfig/pango.pc


    I'm not clear on what the problem is that you are having but
    I think you want directories not files in your PKG_CONFIG_PATH.

+ Reply to Thread